from django.db import models
from comun.models import Pais


class consolidados(models.Model):
    pais = models.ForeignKey(Pais)
    HS_code_level = models.IntegerField()
    Base_nomenclature = models.CharField(max_length=10)
    Product = models.IntegerField()
    Number_of_subheadings =  models.IntegerField()
    Binding = models.CharField(max_length=2)
    Number_of_lines = models.IntegerField()
    Number_of_AVDuties = models.IntegerField()
    AVDuty_average = models.DecimalField(max_digits=25, decimal_places=16)
    AVDuty_minimum = models.IntegerField()
    AVDuty_maximum = models.IntegerField()
    Percent_duty_free = models.IntegerField()
    Number_of_non_AVDuties = models.IntegerField()
    List_of_non_AVDuties = models.CharField(max_length=20)
    SSG = models.IntegerField()
    ODC_Number_of_lines_dutiable = models.IntegerField()
    ODC_AVDuty_average = models.IntegerField()
    ODC_Number_of_non_AV_duties = models.IntegerField()
    ODC_List_of_non_AV_duties = models.CharField(max_length=20,null=True)
    List_of_present_instruments = models.CharField(max_length=100)
    Implementation_year	= models.CharField(max_length=100)
    List_of_INRs = models.CharField(max_length=100)
    Description = models.CharField(max_length=1000)

    class meta:
        db_table = 'aranceles_consolidados'



